@font-face {
    font-family: 'MainluxLight';
    src: url('data/fonts/MainluxLight-DOAJx.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}
@font-face {
    font-family: 'Glametrix';
    src: url('data/fonts/GlametrixBold-4dW6.otf') format('opentype');
    font-weight: normal;
    font-style: normal;
}

@keyframes bgcolours {
    0% {background-color: #000000;}
    50% {background-color: #555555;}
    100%: {background-color: #000000;}
}

@keyframes vidfade {
    0% {opacity: 0%;}
    25% {opacity: 25%;}
    75% {opacity: 25%;}
    100% {opacity: 0%;}
}

@keyframes opener {
    from {
        opacity: 0%;
        margin-top: 200px;
    }
    to {
        opacity: 100%;
        margin-top: 150px;
    }
}
@keyframes slideIn {
    from {
        opacity: 0%;
        margin-left: 25px;
    }
    to{
        opacity: 100%;
        margin-left: 0px;
    }
}



body {
    margin: 0;
    background: transparent;
    background-color: #000000;
    animation-name: bgcolours;
    animation-duration: 120s;
    animation-iteration-count: infinite;
    height: auto;

}



html {
    height: auto;
}

.form {
    font-family: 'MainluxLight';
    font-size: 20px;

}

input[type="text"] {
    height: 24px;
    width: 300px;
    font-family: 'MainluxLight';
    font-size: 18px;
}

select {
    height: 24px;
    width: 300px;
    font-family: 'MainluxLight';
    font-size: 18px;
}

.jdslidebox {
    animation-name: slideIn;
    animation-duration: 2s;
    padding-left: 100px;
}

.jdbox {

}

#bg {
    position: fixed;
    right: 0;
    bottom: 0;
    min-width: 100%;
    min-height: 100%;
    z-index: -1;
    opacity:0%;
    animation-name: vidfade;
    animation-duration: 80s;
    animation-iteration-count: infinite;

}

.bg video {
    width: 100%;
    height: 100%;
    position: absolute;
    object-fit: cover;

}

.jdpage {
    font-family: 'Glametrix';
    font-size: 18px;
    margin-top: 90px;
    margin-left: 75px;
    margin-right: 75px;
    margin-bottom: 150px;
    padding-top: 15px;
    padding-left: 25px;
    padding-right: 25px;
    padding-bottom: 25px;
    background-color: #C6C6C6;
    border-radius: 3px;
    border-width: 1px;
    border-style: solid;
    border-color: #383838;
    color: #000000;
    box-shadow: 5px 5px 5px black;
    z-index:0;
    animation-name: opener;
    animation-duration: 2s;
    animation-iteration-count: 1;
    transition: transform 0.4s ease;
}

.jdtile {
    border-style: solid;
    border-width: 1px;
    border-color: #484848;
    border-radius: 1px;
    padding: 20px;
    margin: 25px;
    box-shadow: 3px 3px 3px black;
    color: #000000;
    background-color: #C0C0C0;
    width: 200px;
    height: 200px;

}
.jdbutton {
    background-color: #EEEEEE;
    padding: 5px;
    margin: 1px;
    border-color: #666666;
    border-style: solid;
    border-width: 1px;
}
.jdbutton:hover{
    background-color: #ECFFEC;
    border-color: #44AA44;
    border-style: solid;
    border-width: 1px;
}

.jdtile:hover {
    background-color:#EEEEEE;
    border-color: #EEEEEE;
}

.jdmenuitem {
    color: #224466;
    cursor: pointer;
    font-family: 'Glametrix';
    font-size: 24px;
}

.jdpageview {

}
